
shr.defineClass("shr.custom.WaterPowerPricingEdit",shr.shrBaseData.maintain.MaintainEdit, {
    initalizeDOM: function () {
        var _self = this;
        shr.custom.WaterPowerPricingEdit.superClass.initalizeDOM.call(this);
        _self.getFirstDayOfMonth();

    },
    /**
     * 获取当月一号并赋值给开始时间
     */
    getFirstDayOfMonth() {
        const currentDate = new Date();
        const firstDay = new Date(currentDate.getFullYear(), currentDate.getMonth(), 1);
        console.log("当前月的一号是：", firstDay);
        $("#startDate").shrDateTimePicker('setValue', firstDay);
    }


});

